# Personalisation

## Favicon

You can add a favicon by dropping a `favicon.ico` into the `public` directory. Or, if you want to specify a different location, you can use the `FAVICON` config variable to specify the path.

You can do the same thing for `apple-touch-icon.png`; there is no support for custom paths.

## Themes

Create a custom theme:

```
$theme = new Kuusamo\Vle\Entity\Theme\Theme;
$theme->setLogo('/logo.png', true);
$theme->setColour('primary', '#A71212');

Kuusamo\Vle\Service\Templating\TemplatingFactory::setTheme($theme);
```

Choose something dark for the primary colour as it will be used for links and buttons. Kuusamo automatically generates a lighter version for use elsewhere.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kuusamo.org/setup/personalisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
